/*********************************************************************
First Course in Java, EDP 306704 Homework #07 Ram, Alka

Request a color from the user.

If s/he enters a color that has been populated into the array,
print the elements of the array, and tell the user
which position of the array the color is in.

If s/he enters a color that is not in the array, print the elements
of the array, and tell the user that the color does not exist in
the array. *********************************************************************/

import java.io.*;
import java.text.*;

class StringSearch
{
  public String findString(String color[], String match) {
    int i;
    String compare;
    String msg = "The color " + match + " is not in the array";

    for (i=0; i<color.length; i++) {
      System.out.println("The color in position " + i + " is " + color[i]);
      compare = color[i];

      if ( compare.equals(match) ) {
        msg = "The color " + match + " was found in position number " + i;
      }
    }

    return msg;
  }

  public static void main (String args[])
  {
    BufferedReader br;
    String usr_color;
    int i;
    String print_msg;

    String[] color = new String[7];
    color[0] = "red";
    color[1] = "orange";
    color[2] = "yellow";
    color[3] = "green";
    color[4] = "blue";
    color[5] = "indigo";
    color[6] = "violet";

    // Instantiate our objects:
    StringSearch str_ob = new StringSearch();

    // Lets us read in from stdin
    br = new BufferedReader( new InputStreamReader(System.in) );

    // Lets us store what we read in
    usr_color = new String();

    try
    {
      // Prompt the user for input
      System.out.print("Please enter a color: ");

      // Read the input into a string
      usr_color = br.readLine();

      print_msg = str_ob.findString(color, usr_color);
      System.out.println(print_msg);
    }

    catch( IOException e )
    {
      System.out.println( "***I/O error reading input: " + e );
    }
  }
}

/*__________________________________________________
Example output of the program is:

Please enter a color: brown
The color in position 0 is red
The color in position 1 is orange
The color in position 2 is yellow
The color in position 3 is green
The color in position 4 is blue
The color in position 5 is indigo
The color in position 6 is violet
The color brown is not in the array

C:\j2sdk1.4.1_02\bin>java StringSearch
Please enter a color: green
The color in position 0 is red
The color in position 1 is orange
The color in position 2 is yellow
The color in position 3 is green
The color in position 4 is blue
The color in position 5 is indigo
The color in position 6 is violet
The color green was found in position number 3
*/