class ThrowsDemo {
  static void throwOne() throws IllegalAccessException {
    System.out.println("Inside throwOne.");
    // deliberately thow an exception to illustrate exception handling
    throw new IllegalAccessException("demo"); // constructor for the exception object
  }
  public static void main(String args[]) {
    try 
    {
      //int a = 22 / 0;  comment this line out!
      throwOne();
    } 
    catch (IllegalAccessException e) 
    {
      System.out.println("Caught " + e);
    }
  }
}
// Output is:
//Inside throwOne.
//Caught java.lang.IllegalAccessException: demo